Name:           perl-Test-File-Contents
Version:        0.242
Release:        1
Summary:        Test routines for examining the contents of files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-File-Contents
Source0:        https://www.cpan.org/modules/by-module/Test/Test-File-Contents-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Builder) >= 0.70
BuildRequires:  perl(Text::Diff) >= 0.35
# Tests only
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::Builder::Tester::Color)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Test::Builder) >= 0.70
Requires:       perl(Text::Diff) >= 0.35

%description
Test routines for examining the contents of files.

%prep
%setup -q -n Test-File-Contents-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 05 2024 woody2918 <wudi1@uniontech.com> 0.242-1
- update version to 0.242
- Corrected test dependencies
- Packaging fix to stop installing boilerplate.pl

* Wed Nov 02 2022 wangziliang <wangziliang@kylinos.cn> - 0.23-1
- Package init
